com.io7m.jregions.core.parameterized.sizes

## Class PVolumeSizeBI.Builder<S>

- java.lang.Object
- - com.io7m.jregions.core.parameterized.sizes.PVolumeSizeBI.Builder<S>

- Enclosing class:
    PVolumeSizeBI<S>

      public static final class PVolumeSizeBI.Builder<S>
      extends Object

  Builds instances of type `PVolumeSizeBI`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PVolumeSizeBI<S>` | `build()` Builds a new `PVolumeSizeBI`.
    `PVolumeSizeBI.Builder<S>` | `from(PVolumeSizeBIType<S> instance)` Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.sizes.PVolumeSizeBIType<S>` instance.
    `PVolumeSizeBI.Builder<S>` | `from(VolumeSizeValuesBIType instance)` Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesBIType` instance.
    `PVolumeSizeBI.Builder<S>` | `setSizeX(BigInteger sizeX)` Initializes the value for the `sizeX` attribute.
    `PVolumeSizeBI.Builder<S>` | `setSizeY(BigInteger sizeY)` Initializes the value for the `sizeY` attribute.
    `PVolumeSizeBI.Builder<S>` | `setSizeZ(BigInteger sizeZ)` Initializes the value for the `sizeZ` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final PVolumeSizeBI.Builder<S> from(VolumeSizeValuesBIType instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.unparameterized.sizes.VolumeSizeValuesBIType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final PVolumeSizeBI.Builder<S> from(PVolumeSizeBIType<S> instance)

      Fill a builder with attribute values from the provided `com.io7m.jregions.core.parameterized.sizes.PVolumeSizeBIType<S>` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeX

          public final PVolumeSizeBI.Builder<S> setSizeX(BigInteger sizeX)

      Initializes the value for the `sizeX` attribute.
      Parameters:
        `sizeX` - The value for sizeX
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeY

          public final PVolumeSizeBI.Builder<S> setSizeY(BigInteger sizeY)

      Initializes the value for the `sizeY` attribute.
      Parameters:
        `sizeY` - The value for sizeY
      Returns:
        `this` builder for use in a chained invocation

    - #### setSizeZ

          public final PVolumeSizeBI.Builder<S> setSizeZ(BigInteger sizeZ)

      Initializes the value for the `sizeZ` attribute.
      Parameters:
        `sizeZ` - The value for sizeZ
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public PVolumeSizeBI<S> build()

      Builds a new `PVolumeSizeBI`.
      Returns:
        An immutable instance of PVolumeSizeBI
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2017 <code@io7m.com> http://io7m.com